PETSc version 3.15.5
Fix/Edit manual page

# KSPGuessSetFromOptions

Sets the options for a KSPGuess from the options database

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGuessSetFromOptions(KSPGuess guess)

Collective on guess

### Input Parameter

| guess | - KSPGuess object

### See Also

KSPGuess, KSPGetGuess(), KSPSetGuessType(), KSPGuessType

### Level

intermediate

### Location

src/ksp/ksp/interface/iguess.c

### Implementations

KSPGuessSetFromOptions_Fischer in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessSetFromOptions_POD in src/ksp/ksp/guess/impls/pod/pod.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages